QXmppStream Class Reference

The QXmppStream class is the base class for all XMPP streams. More...

`#include <QXmppStream.h>`

Inheritance diagram for QXmppStream:

List of all members.

## Signals

void | connected ()
| This signal is emitted when the stream is connected.
void | disconnected ()
| This signal is emitted when the stream is disconnected.

## Public Member Functions

| QXmppStream (QObject *parent)
| ~QXmppStream ()
| Destroys a base XMPP stream.
virtual bool | isConnected () const
virtual void | disconnectFromHost ()
virtual bool | sendData (const QByteArray &)
bool | sendPacket (const QXmppPacket &)

## Protected Member Functions

QSslSocket * | socket () const
void | setSocket (QSslSocket *socket)
virtual void | handleStart ()
virtual void | handleStanza (const QDomElement &element)=0
virtual void | handleStream (const QDomElement &element)=0

## Detailed Description

The QXmppStream class is the base class for all XMPP streams.

## Constructor & Destructor Documentation

QXmppStream::QXmppStream | ( | QObject * | parent | ) |

Constructs a base XMPP stream.

Parameters:

  parent |

## Member Function Documentation

void QXmppStream::disconnectFromHost | ( |  | ) | `[virtual]`

Disconnects from the remote host.

virtual void QXmppStream::handleStanza | ( | const QDomElement & | element | ) | `[protected, pure virtual]`

Handles an incoming XMPP stanza.

Parameters:

  element |

void QXmppStream::handleStart | ( |  | ) | `[protected, virtual]`

Handles a stream start event, which occurs when the underlying transport becomes ready (socket connected, encryption started).

If you redefine handleStart(), make sure to call the base class's method.

virtual void QXmppStream::handleStream | ( | const QDomElement & | element | ) | `[protected, pure virtual]`

Handles an incoming XMPP stream start.

Parameters:

  element |

bool QXmppStream::isConnected | ( |  | ) | const`[virtual]`

Returns true if the stream is connected.

Reimplemented in QXmppIncomingClient, QXmppIncomingServer, QXmppOutgoingClient, and QXmppOutgoingServer.

bool QXmppStream::sendData | ( | const QByteArray & | data | ) | `[virtual]`

Sends raw data to the peer.

Parameters:

  data |

bool QXmppStream::sendPacket | ( | const QXmppPacket & | packet | ) |

Sends an XMPP packet to the peer.

Parameters:

  packet |

void QXmppStream::setSocket | ( | QSslSocket * | socket | ) | `[protected]`

Sets the QSslSocket used for this stream.

QSslSocket * QXmppStream::socket | ( |  | ) | const`[protected]`

Returns the QSslSocket used for this stream.

Reimplemented in QXmppOutgoingClient.

The documentation for this class was generated from the following files:

- QXmppStream.h
- QXmppStream.cpp

All Classes Functions Enumerations Enumerator Properties